/*
// Created by Lucile on 04/04/2021.
*/

/*!
 * \file window.h
 * \brief Window Header File
 * \authors Lucile
 * \version 2
 * \date 04/04/2021
 *
 * Window structure definiton.
 *
 */

#ifndef INSAGAME_WINDOW_H
#define INSAGAME_WINDOW_H

/*!
 * \enum Window_number
 * \brief Definiton of every window's number
 */

typedef enum {
    LOADING_PAGE, /*!< 0 */
    INTRO_PAGE, /*!< 1 */
    LEVEL_PRESENTATION, /*!< 2 */
    LEVEL, /*!< 3 */
    WIN_PAGE, /*!< 4 */
    FAIL_PAGE /*!< 5 */
} Window_number;


/*!
 * \struct Window
 * \brief Window structure
 */

typedef struct {
    int level; /**<  */
    int time; /**<  */
    Window_number nb_window; /**<  */
} Window;


void init_window(Window * window, int level, int time, int nb_window);

#endif /*INSAGAME_WINDOW_H*/
